
BackGClass = {}

function BackGClass:newBackG()
	--RETURN A RANDOM BACKGROUND
end

function BackGClass.new(p)
	local p = p or {}
	setmetatable(p, {__index=BackGClass})
	--PARTICLE
	p.part = {}
	local partimg = love.graphics.newImage("resources/image/ball.png");
	local _p = love.graphics.newParticleSystem(partimg, 200)
		_p:setEmissionRate(20)
		_p:setSpeed(0, 200)
		_p:setSizes(1, 4)
		_p:setColors(0, 0, 0, 128, 50, 50, 50, 0)
		_p:setLifetime(0.25)
		_p:setParticleLife(5)
		_p:setDirection(3*math.pi/2)
		_p:setSpread(2*math.pi)
		_p:setTangentialAcceleration(200)
		_p:setRadialAcceleration(0)
		_p:stop()
	table.insert(p.part, _p)
	local _p = love.graphics.newParticleSystem(partimg, 200)
		_p:setEmissionRate(10)
		_p:setSpeed(0, 200)
		_p:setSizes(0, 1)
		_p:setColors(0, 0, 0, 128, 50, 50, 50, 0)
		_p:setLifetime(0.25)
		_p:setParticleLife(5)
		_p:setDirection(3*math.pi/2)
		_p:setSpread(2*math.pi)
		_p:setTangentialAcceleration(0)
		_p:setRadialAcceleration(-10)
		_p:stop()
	table.insert(p.part, _p)

	return p
end

function BackGClass:update(dt)
	local p = self
	for _,v in ipairs(p.part) do
		v:start()
		v:update(dt)
	end
end

function BackGClass:draw(dt)
	local p = self
	love.graphics.setColorMode("modulate")
	love.graphics.setBlendMode("additive")
	for _,v in ipairs(p.part) do
		love.graphics.draw(v, love.graphics.getWidth()/2
		, love.graphics.getHeight()/2)
	end
	--love.graphics.rectangle("line", p.p.x-p.w/2, p.p.y-p.h/2, p.w, p.h)
end

