
GoodUpClass = {}

goodUps = {}

--Makes the ball speed up and go in a random y direction
table.insert(goodUps,
	function(self, dt)
		self.ball.v.y = self.ball.v.y+(math.random()*800-400)
		if self.ball.v.x>0 then
			self.ball.v.x = self.ball.v.x+20
		elseif self.ball.v.x<0 then
			self.ball.v.x = self.ball.v.x-20
		end
		self.time = 0
	end
)
--Makes your paddle big
table.insert(goodUps,
	function(self, dt)
		if self.id == 0 then
			self.time = 0
			return
		end
		if self.time==10 then
			paddles[self.id].h = paddles[self.id].h + 100
		end
		self.time = self.time - dt
		if self.time <= 0 then
			paddles[self.id].h = paddles[self.id].h - 100
		end
	end
)
--Speeds up paddle
table.insert(goodUps,
	function(self, dt)
		if self.id == 0 then
			self.time = 0
			return
		end
		if self.time==10 then
			if paddles[self.id].rev == true then
				paddles[self.id].spd = paddles[self.id].spd - 100
			else
				paddles[self.id].spd = paddles[self.id].spd + 100
			end
		end
		self.time = self.time - dt
		if self.time <= 0 then
			if paddles[self.id].rev == true then
				paddles[self.id].spd = paddles[self.id].spd + 100
			else
				paddles[self.id].spd = paddles[self.id].spd - 100
			end
		end
	end
)
--Double ball!
table.insert(goodUps,
	function(self, dt)
		local b = self.ball
		local ball = BallClass.new()
		ball.v.x = -b.v.x
		ball.v.y = b.v.y+math.random()*10-5
		ball.p.x = b.p.x
		ball.p.y = b.p.y+b.r*2
		ball.own = b.own
		ball.live = true
		ball.c = b.c
		table.insert(balls, ball)
		self.time=0
	end
)

function GoodUpClass.new(up)
	local up = up or {}
	setmetatable(up, {__index=GoodUpClass})

	--Type of upgrade ie grow, speed up, etc
	up.update = goodUps[math.random(#goodUps)]

	--Time it is alive
	up.time = 10
	return up
end

