
BadUpClass = {}

badUps = {}
--Reverse the ball x direction
table.insert(badUps,
	function(self, dt)
		self.ball.v.x = -self.ball.v.x
		self.time = 0
	end
)
--Make your paddle small
table.insert(badUps,
	function(self, dt)
		if self.id == 0 then
			self.time = 0
			return
		end
		if self.time==10 then
			paddles[self.id].h = paddles[self.id].h - 50
		end
		self.time = self.time - dt
		if self.time <= 0 then
			paddles[self.id].h = paddles[self.id].h + 50
		end
	end
)
--Makes the ball wobble up and down
table.insert(badUps,
	function(self, dt)
		local b = self.ball
		if b == nil then
			self.time = 0
			return
		end
		local fl = math.sin(love.timer.getTime()*8)*3
		b.v.y = b.v.y + fl
		self.time = self.time - dt
	end
)
--Reverses paddles
table.insert(badUps,
	function(self, dt)
		if self.id == 0 then
			self.time = 0
			return
		end
		if self.time==10 then
			paddles[self.id].rev = not paddles[self.id].rev
			paddles[self.id].spd = -paddles[self.id].spd
		end
		self.time = self.time - dt
		if self.time <= 0 then
			paddles[self.id].rev = not paddles[self.id].rev
			paddles[self.id].spd = -paddles[self.id].spd
		end
	end
)

function BadUpClass.new(up)
	local up = up or {}
	setmetatable(up, {__index=BadUpClass})

	--Type of upgrade ie grow, speed up, etc
	up.update = badUps[math.random(#badUps)]

	--Time it is alive
	up.time = 10
	return up
end

